package arquivo

import (
	"github.com/mscastanho/padariaOak/compravenda";
	//"io/ioutil"
	"os"
	"log"
)

type bel compravenda.BrutoELucro

const CABECALHO_VENDASPGTO string = "Modo de pagamento;Receita bruta;Lucro"
const NOME_ARQUIVO_VENDASPGTO string = "4-vendaspgto.csv"

const CABECALHO_VENDASPROD string = "Código;Produto;Receita bruta;Lucro"
const NOME_ARQUIVO_VENDASPROD string = "3-vendasprod.csv" 

func GeraArquivoVendasPorProduto() {
	
	file, err := os.Create(NOME_ARQUIVO_VENDASPROD)
	
	if err != nil {
		log.Fatal(err)
		return
	}
	
	defer file.Close()
	
	file.WriteString(CABECALHO_VENDASPROD + "\n")
	
	vpp := compravenda.VendaPorProduto()
	vppOrd := compravenda.GeraListaOrdenadaProdutos(vpp)
	
	for k := range vppOrd {
		file.WriteString(vppOrd[k].String() + "\n")
	}
}

func GeraArquivoVendasPorMeioDePagamento() {
	
	file, err := os.Create(NOME_ARQUIVO_VENDASPGTO)
	
	if err != nil {
		log.Fatal(err)
		return
	}
	
	defer file.Close()
	
	file.WriteString(CABECALHO_VENDASPGTO + "\n")
	
	belmpg := compravenda.BelPorMeioDePagamento()
	belmpgOrd := compravenda.GeraListaOrdenadaMeiosDePagamento(belmpg)
	
	for k := range belmpgOrd {
		file.WriteString(belmpgOrd[k].String() + "\n")
	}
	
}