package compravenda

import (
	"fmt"
)

type BrutoELucro struct {
	item Comparavel
	Bruto, Lucro float64
}

func (bel *BrutoELucro) String () string {
	
	if p , ehProduto := bel.item.(*Produto) ; ehProduto {
		return fmt.Sprintf("%d;%s;R$ %.2f;R$ %.2f",p.getCodigo(),p.getDescricao(),bel.Bruto,bel.Lucro)
	}
	
	if m , ehMeioDePagamento := bel.item.(MeioDePagamento) ; ehMeioDePagamento {
		return fmt.Sprintf("%s;R$ %.2f;R$ %.2f",m,bel.Bruto,bel.Lucro)
	}
	
	return "no item"
}

